;;; packages.el --- conlanging layer packages file for Spacemacs.
;;
;; Copyright (c) 2012-2018 Sylvain Benner & Contributors
;;
;; Author: Lucien Cartier-Tilet <phundrak@phundrak.fr>
;; URL: https://github.com/syl20bnr/spacemacs
;;
;; This file is not part of GNU Emacs.
;;
;;; License: GPLv3

(spacemacs/declare-prefix "ol" "conlanging")
(spacemacs/declare-prefix "olh" "Hjelp")
(spacemacs/declare-prefix "olho" "hjelp.org")
(spacemacs/declare-prefix "olm" "Mattér")
(spacemacs/declare-prefix "olmo" "matter.org")
(spacemacs/declare-prefix "ole" "Einnlanda")
(spacemacs/declare-prefix "oleo" "eittlanda.org")
(spacemacs/declare-prefix "oln" "Ñyqy")
(spacemacs/declare-prefix "olno" "nyqy.org")
(spacemacs/declare-prefix "olne" "nyqy.org (English)")
(spacemacs/declare-prefix "olo" "Conlang directory")
(spacemacs/declare-prefix "olO" "Conlang root directory")
(spacemacs/declare-prefix "olt" "Tãso")
(spacemacs/declare-prefix "olto" "taso.org")
(spacemacs/declare-prefix-for-mode 'org-mode
  "ml" "conlanging")
(spacemacs/declare-prefix-for-mode 'org-mode
  "mle" "Eittlanda")
(spacemacs/declare-prefix-for-mode 'org-mode
  "mlm" "Mattér")

(spacemacs/set-leader-keys "oleo"
  (lambda ()
    (interactive)
    (find-file "~/Documents/conlanging/web/eittland.org"))
  "olho"
  (lambda ()
    (interactive)
    (find-file "~/Documents/conlanging/web/hjelp.org"))
  "olmo"
  (lambda ()
    (interactive)
    (find-file "~/Documents/conlanging/web/matter.org"))
  "olno"
  (lambda ()
    (interactive)
    (find-file "~/Documents/conlanging/web/nyqy.org"))
  "olne"
  (lambda ()
    (interactive)
    (find-file "~/Documents/conlanging/web/en/nyqy.org"))
  "olO"
  (lambda ()
    (interactive)
    (dired "~/Documents/conlanging"))
  "olo"
  (lambda ()
    (interactive)
    (dired "~/Documents/conlanging/web"))
  "olto"
  (lambda ()
    (interactive)
    (find-file "~/Documents/conlanging/web/taso.org")))

(spacemacs/set-leader-keys-for-major-mode
  'org-mode "ler" 'conlanging/eittlanda-to-runes
  "lel" 'conlanging/eittlanda-to-latex "lmr"
  'conlanging/matter-to-runes "lml" 'conlanging/matter-to-native-latin
  "lmL" 'conlanging/matter-to-latex)

;;; keybindings.el ends here
